Skip to main content
POST
Dismiss task attention

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Response

TaskResponse with the same derived fields as GET /api/tasks/{id}, no longer reporting the dismissed run_failed.

execution
object | null
required
id
string
required
workspace_id
string
required
number
integer
required
identifier
string
required
title
string
required
description
string | null
required
status
enum<string>
required
Available options:
cancelled,
done,
working,
paused,
needs_you,
to_review,
idle
delivered_at
string | null
required
completed_at
string | null
required
cancelled_at
string | null
required
creator_type
string
required
creator_id
string
required
parent_task_id
string | null
required
area_id
string | null
required
created_at
string
required
updated_at
string
required
origin_type
string | null
required
metadata
object
required
isolated
boolean
required
execution_identity_id
string | null
participant_member_ids
string[]
participant_harnesses
string[]
has_pending_interaction
boolean
has_active_run
boolean
has_paused_run
boolean
attention_reason
string
failure_reason
string
failure_class
string
unread
boolean
viewer_participated
boolean
pull_request
object | null
attachments
object[]
run_id
string | null